import { isArray as i } from "lodash-unified";
function o(u, t) {
  let r = u;
  for (let e = 0; e < t.length; e += 1) {
    if (r == null)
      return;
    r = r[t[e]];
  }
  return r;
}
function f(u, t) {
  return i(t) ? t.reduce((r, e) => r?.[e], u) : u?.[t];
}
export {
  o as default,
  f as getModelValue
};
